org.apache.http.impl.cookie

## Class PublicSuffixListParser

- java.lang.Object
- - org.apache.http.impl.cookie.PublicSuffixListParser

Deprecated.
(4.4) use `PublicSuffixListParser`.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class PublicSuffixListParser
    extends Object

Parses the list from publicsuffix.org and configures a PublicSuffixFilter.

Since:
  4.0

### Method Summary

Methods
`void` `parse(Reader reader)` Deprecated. Parses the public suffix list format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public void parse(Reader reader)
               throws IOException

Deprecated.
Parses the public suffix list format. When creating the reader from the file, make sure to use the correct encoding (the original list is in UTF-8).

Parameters:
  `reader` - the suffix list. The caller is responsible for closing the reader.
Throws:
  `IOException` - on error while reading from list